# CEGUI::ScriptFunctor Class Reference

Functor class used for binding named script functions to events. More...

Collaboration diagram for CEGUI::ScriptFunctor:

[legend]
List of all members.

## Public Member Functions

| ScriptFunctor (const String &functionName)
| ScriptFunctor (const ScriptFunctor &obj)
bool | operator() (const EventArgs &e) const

## Detailed Description

Functor class used for binding named script functions to events.